# DocBook to HTML - Inline Elements

## Modes

`db2html.inline.content.mode`

  FIXME

## Templates

`db2html.inline`

  Renders an inline element as an HTML `span` element

## `db2html.inline.content.mode`

FIXME

### Description

FIXME

## `db2html.inline`

Renders an inline element as an HTML `span` element

### Parameters

`node`

  The element to render

`children`

  The child elements to process

`class`

  The value of the `class` attribute on the `span` tag

`bold`

  Whether to render the element in bold face

`italic`

  Whether to render the element in italics

`underline`

  Whether to underline the element

`mono`

  Whether to render the element in a monospace font

`sans`

  Whether to render the element in a sans-serif font

`lang`

  The locale of the text in `node`

`dir`

  The text direction, either `ltr` or `rtl`

`ltr`

  Whether to default to `ltr` if neither `lang` nor `dir` is specified

### Description